%define version 4.5.1
%define release 2mdk

%define req_libticables_version 3.6.1
%define req_libtifiles_version 0.5.3

%define api_version 4
%define major 0
%define libname %mklibname ticalcs- %{api_version}

Summary:	Library to handle the different TI calculators
Name:		libticalcs
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
URL:		http://tilp.sourceforge.net/
# tar.gz at http://download.sf.net/tilp/
Source:		%{name}-%{version}.tar.bz2 
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libticables-devel >= %{req_libticables_version}
BuildRequires:	libtifiles-devel >= %{req_libtifiles_version}
BuildRequires:	glib2-devel glib-devel

%description
The TiCalcs library is a part of the TiLP project and constitutes with
the other libraries a complete framework for developping and/or linking
TI files oriented applications.

It is a library which brings about all the functions needed to communicate
with a Texas Instruments graphing calculator (or hand-held), without
worrying about packet oriented protocol, the file management and some
other stuffs. Currently, it does not support some education devices
(such as CBL/CBR and others).

It supports all currently available calculators and their associated file
formats:
- TI8x calculators: TI73, 82, 83, TI83+, 85 and 86 (with 2 sub-classes:
  TI73/83+ and 85/86).
- TI9x calculators: TI89, 92, 92+ and V200PLT.

%if 0
%package	-n %name-doc
Summary:	Document files of %name
Group:		Books/Other

%description	-n %name-doc
This package is a library to handle all the different types of TI
calculators for TiLP.

This package contain the doc files
%endif

%package	-n %{libname}_%{major}
Summary:	Library to handle different TI calculators
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname} = %{version}-%{release}
# in order to replace older libticalc4 (compiled against glib 1.x)
Obsoletes:	%{name}%{api_version}
Provides:	%{name}%{api_version} = %{version}-%{release}

%description	-n %{libname}_%{major}
The TiCalcs library is a part of the TiLP project and constitutes with
the other libraries a complete framework for developping and/or linking
TI files oriented applications.

It is a library which brings about all the functions needed to communicate
with a Texas Instruments graphing calculator (or hand-held), without
worrying about packet oriented protocol, the file management and some
other stuffs. Currently, it does not support some education devices
(such as CBL/CBR and others).

It supports all currently available calculators and their associated file
formats:
- TI8x calculators: TI73, 82, 83, TI83+, 85 and 86 (with 2 sub-classes:
  TI73/83+ and 85/86).
- TI9x calculators: TI89, 92, 92+ and V200PLT.


%package	-n %{libname}_%{major}-devel
Summary:	Development related files for %{name}
Group:		Development/Other
Requires:	%{libname}_%{major} = %{version}-%{release}
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	libticables-devel >= %{req_libticables_version}
Requires:	libtifiles-devel >= %{req_libtifiles_version}
Obsoletes:	%{name}-doc
Provides:	%{name}-doc
# in order to replace older libticalc4 (compiled against glib 1.x)
Obsoletes:	%{name}%{api_version}-devel
Provides:	%{name}%{api_version}-devel = %{version}-%{release}

%description	-n %{libname}_%{major}-devel
This package contains headers and other necessary files to develop 
or compile applications that use %{name}.

%prep
%setup -q

%build
# mdk does not have libtool 1.5 yet
%define __libtoolize /bin/true

# first build preferred version (link against glib2)
mkdir glib2
pushd glib2
CONFIGURE_TOP=.. %configure2_5x --enable-static=yes
%make
popd

# then build another one linked against glib1
mkdir glib1
pushd glib1
CONFIGURE_TOP=.. %configure2_5x --enable-static=yes --disable-glib2
%make
popd

# finally the docs
pushd docs
./gen_doc.sh
popd

%install
rm -rf ${RPM_BUILD_ROOT}
pushd glib2
%makeinstall_std gnulocaledir=${RPM_BUILD_ROOT}%{_datadir}/locale
popd
pushd glib1
%__make DESTDIR=${RPM_BUILD_ROOT} install-binSCRIPTS install-pkgconfigDATA
%__make -C src12 DESTDIR=${RPM_BUILD_ROOT} install-libLTLIBRARIES
popd

%find_lang %{name}

%post -n %{libname}_%{major} -p /sbin/ldconfig

%postun -n %{libname}_%{major} -p /sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%if 0
%files -n %name-doc
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README docs/text/* docs/html/*
%endif

%files -n %{libname}_%{major} -f %{name}.lang
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so.*

%files -n %{libname}_%{major}-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog README docs/html docs/text
%{_bindir}/*
%{_includedir}/tilp/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man?/*

%changelog
* Sun Oct 12 2003 Abel Cheung <deaddog@deaddog.org> 4.5.1-2mdk
- Build and bundle old version of library (linked against glib 1.x),
  which is useful for TiEmu

* Sat Oct 11 2003 Abel Cheung <deaddog@deaddog.org> 4.5.1-1mdk
- 4.5.1
- More verbose description
- Merge docs back to devel subpackage since there's not a large amount
  of documentation, and they are API docs (really for development)
- License is LGPL
- Define libtoolize instead of calling bare configure without macros
- Compile static library as well
- mklibname with API version

* Sat Apr 26 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.4.3-2mdk
- rebuild

* Sat Apr 26 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.4.3-1mdk
- 4.4.3

* Sat Feb 08 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.3.0-1mdk
- 4.3.0
- use %%mklibname

* Thu Dec 19 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.2.8-1mdk
- 4.2.8

* Sun Nov 24 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.2.7-1mdk
- 2.4.7

* Tue Sep 03 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.1.6-1mdk
- port to mdk

* Thu Jun 13 2002 Benjamin Gordon <ben@bxg.org>
- Updated to version 3.3.8

* Tue Mar 5 2002 Benjamin Gordon <ben@bxg.org>
- Updated to version 3.3.1

* Mon Feb 25 2002 Benjamin Gordon <ben@bxg.org>
- Updated to version 3.3.0

* Tue Feb 12 2002 Benjamin Gordon <ben@bxg.org>
- Updated to version 3.1.3

* Sun Feb 10 2002 Benjamin Gordon <ben@bxg.org>
- Updated to version 3.1.2

* Tue Nov 27 2001 Benjamin Gordon <ben@bxg.org>
- Updated to version 2.0.7

* Sat Oct 20 2001 Benjamin Gordon <ben@bxg.org>
- Updated to version 2.0.0

* Mon Jul 02 2001 Benjamin Gordon <ben@bxg.org>
- Updated to version 1.8.0

* Sun May  6 2001 Benjamin Gordon <ben@bxg.org>
- Updated to version 1.6.4

* Sat Mar 24 2001 Benjamin Gordon <ben@bxg.org>
- Updated to version 1.5.8

* Sun Feb 18 2001 Benjamin Gordon <ben@bxg.org>
- Fixed conflicts with libti_calcs and libticables

* Sun Feb 18 2001 Benjamin Gordon <ben@bxg.org>
- Updated to version 1.5.1
